package com.steerinfo.meterwork.meterworkcheckfirstactual.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="核查汽车衡一次或者结净数据表")
public class MeterWorkCheckFirstActualRailwayTemp implements IBasePO<String> {
    private String baseSpotNo;
    private String baseSpotName;
    private String railwayNo;
    /**
     * 核查主键(ID,VARCHAR,50)
     */
    @ApiModelProperty(value="核查主键",required=true)
    private String id;

    /**
     * 一次或结净主键(CHECK_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="一次或结净主键",required=true)
    private String checkId;

    /**
     * 核查开始时间(CHECK_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="核查开始时间",required=false)
    private Date checkStartTime;

    /**
     * 核查结束时间(CHECK_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="核查结束时间",required=false)
    private Date checkEndTime;

    /**
     * 核查用时(CHECK_USED_SECONDS,DECIMAL,0)
     */
    @ApiModelProperty(value="核查用时",required=false)
    private BigDecimal checkUsedSeconds;

    /**
     * 核查人编号(CHECK_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="核查人编号",required=false)
    private String checkManNo;

    /**
     * 核查人(CHECK_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="核查人",required=false)
    private String checkManName;

    /**
     * 核查结果(CHECK_RESULT,VARCHAR,255)
     */
    @ApiModelProperty(value="核查结果",required=false)
    private String checkResult;

    /**
     * 衡器类型（001002001：汽车衡、001019001：静态轨道衡、001019002:动态轨道衡、001019003:静态铁水轨道衡、001019004:动态铁水轨道衡、001019005:吊钩秤）(TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="衡器类型（001002001：汽车衡、001019001：静态轨道衡、001019002:动态轨道衡、001019003:静态铁水轨道衡、001019004:动态铁水轨道衡、001019005:吊钩秤）",required=false)
    private String typeNo;

    /**
     * 衡器类型名称（001002001：汽车衡、001019001：静态轨道衡、001019002:动态轨道衡、001019003:静态铁水轨道衡、001019004:动态铁水轨道衡、001019005:吊钩秤）(TYPE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="衡器类型名称（001002001：汽车衡、001019001：静态轨道衡、001019002:动态轨道衡、001019003:静态铁水轨道衡、001019004:动态铁水轨道衡、001019005:吊钩秤）",required=false)
    private String typeName;

    /**
     * 0:一次数据、1:净重数据(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="0:一次数据、1:净重数据",required=false)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId == null ? null : checkId.trim();
    }

    public Date getCheckStartTime() {
        return checkStartTime;
    }

    public void setCheckStartTime(Date checkStartTime) {
        this.checkStartTime = checkStartTime;
    }

    public Date getCheckEndTime() {
        return checkEndTime;
    }

    public void setCheckEndTime(Date checkEndTime) {
        this.checkEndTime = checkEndTime;
    }

    public BigDecimal getCheckUsedSeconds() {
        return checkUsedSeconds;
    }

    public void setCheckUsedSeconds(BigDecimal checkUsedSeconds) {
        this.checkUsedSeconds = checkUsedSeconds;
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo == null ? null : checkManNo.trim();
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName == null ? null : checkManName.trim();
    }

    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    public String getTypeNo() {
        return typeNo;
    }

    public void setTypeNo(String typeNo) {
        this.typeNo = typeNo == null ? null : typeNo.trim();
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName == null ? null : typeName.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", checkId=").append(checkId);
        sb.append(", checkStartTime=").append(checkStartTime);
        sb.append(", checkEndTime=").append(checkEndTime);
        sb.append(", checkUsedSeconds=").append(checkUsedSeconds);
        sb.append(", checkManNo=").append(checkManNo);
        sb.append(", checkManName=").append(checkManName);
        sb.append(", checkResult=").append(checkResult);
        sb.append(", typeNo=").append(typeNo);
        sb.append(", typeName=").append(typeName);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
